import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        System.out.println("Enter a url");

        // ask for a url
        Scanner scanner = new Scanner(System.in);
        String url = scanner.nextLine().trim();
        System.out.println("Fetching " + url);

        // fetch the url
        String content = null;
        URLConnection connection = null;

        try {
            connection = new URL("https://" + url).openConnection();

            Scanner urlScanner = new Scanner(connection.getInputStream());
            urlScanner.useDelimiter("\\Z");  //terminating line

            content = urlScanner.next();

        } catch (MalformedURLException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }catch ( Exception ex ) {
            ex.printStackTrace();
        }
        // print the url
        System.out.println(content);
    }
}
